[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCalcEdit.ButtonClick

Performs actions needed when the button for the control is clicked.

## Declaration

Source position: editbtn.pas line 864

`protected procedure TCalcEdit.ButtonClick; override;`

## Description

ButtonClick is an overridden method used to perform actions needed when the Button for the control is clicked. For TCalcEdit, the RunDialog method is called to execute the dialog for the control and to capture it results. When FocusOnButtonClick is set, the FocusAndMaybeSelectAll method is called to give focus to the Edit control in the class.

## See also

TCustomEditButton.ButtonClick |  | Performs actions needed when the button for the control is clicked.